Subject: Re: PageStream and Bitmap fonts
From: [email-masked] (Per Espen Hagen)
Date: 13 Jan 1994 08:51:50 GMT
Newsgroups: comp.sys.amiga.applications

In article <[email-masked]>, [email-masked] (Stephen Kurlow) writes:
> 
> One thing I wondered with font sizes is:
> 
> Doesn't the font system on Amiga only allow you to specify a font
> height? So how do you handle when printing to say an Epson LQ1050
> in 180x180 and 360x180? Because for the latter case you want the
> font same height but twice the width because of increased
> resolution right? You do not use some routine to scale the 180x180
> used font upto 360x180 or something do you? I'd hope somehow
> could use Intellifont thing to render a font for twice width. I'd
> really appreciate info on how this all works!!! :-)

RTFM... it's all in the "Workbench 3.0" manual...

Intellifont supports an environment variable specifying the aspect ratio
of the font. This is also useful if you use something as weird as a
Euro36:SuperHiRes Workbench (1448x200, almost 6:1 pixel aspect ratio!)

Can't remember the name of the variable off-hand, but I *know* it's in
the manual, under the "Intellifont" entry.

Environment variables can of course be changed (and are evaluated) on-the-fly,
so there should be no problems if you need more than one aspect ratio during
the same session.

-- 
Per Espen Hagen        [email-masked]     Tel: +47 63807653     //
Senior Scientist     Image Processing Group      NDRE, Norway     \X/

This sentence contradicts itself -- no actually it doesn't (Hofstadter)